### NAME

Snack_Mulaw2Lin, Snack_Alaw2Lin, Snack_Lin2Mulaw, Snack_Lin2Alaw, Snack_SwapShort - convert samples

### SYNOPSIS

#include <snack.h>
Snack_Mulaw2Lin(u_val)
Snack_Lin2Mulaw(pcm_val)
Snack_Alaw2Lin(a_val)
Snack_Lin2Alaw(pcm_val)
Snack_SwapShort(short_val)

### ARGUMENTS

unsigned char u_val (in)
unsigned char a_val (in)
int pcm_val (in)
short short_val (in)

### DESCRIPTION

Snack_Mulaw2Lin converts an 8-bit MULAW sample into a 16-bit linear value (LIN16).
Snack_Lin2Mulaw converts a 16-bit linear value (LIN16) into an 8-bit MULAW sample.
Snack_Alaw2Lin converts an 8-bit ALAW sample into a 16-bit linear value (LIN16).
Snack_Lin2Alaw converts a 16-bit linear value (LIN16) into an 8-bit ALAW sample.
Snack_SwapShort swaps the high and low bytes of a 16-bit linear sample.